Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net
Class FtpClient

    java.lang.Object
      net.sf.jftp.net.FtpClient

    public class FtpClient

extends java.lang.Object

Constructor Summary
`FtpClient()`

Method Summary
`void` | `cd(java.lang.String s)`
`void` | `disconnect()`
`void` | `get(java.lang.String file)`
`void` | `login(java.lang.String host)`
`void` | `put(java.lang.String file)`
`java.lang.String` | `pwd()`
`void` | `setPassword(java.lang.String s)`
`void` | `setUsername(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FtpClient

    public FtpClient()

Method Detail

### login

    public void login(java.lang.String host)

### setUsername

    public void setUsername(java.lang.String s)

### setPassword

    public void setPassword(java.lang.String s)

### disconnect

    public void disconnect()

### cd

    public void cd(java.lang.String s)

### pwd

    public java.lang.String pwd()

### get

    public void get(java.lang.String file)

### put

    public void put(java.lang.String file)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD